Bug 740304 - source rpm building error
Summary: source rpm building error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mingw32-boost
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Kai Tietz
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 15:15 UTC by Dave Johnson
Modified: 2014-09-18 10:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-18 10:36:10 UTC


Attachments (Terms of Use)

Description Dave Johnson 2011-09-21 15:15:10 UTC
Description of problem:

Running TPS tests and hitting this error.  
http://nest.test.redhat.com/mnt/qa/scratch/x86-64-6cn-v1/2011:11790/tps/tps-srpmtest.log


--- REBUILD: mingw32-boost-1.41.0-3.el6.src.rpm for noarch ---------------------
begin at 09/21/2011 10:50:34 on x86-64-6cn-v1.ss.eng.bos.redhat.com

doRpmCommand:  rpmbuild --rebuild   --define "dist .el6" --define '_topdir /usr/src/redhat'  --rcfile /tmp/tps_rpmrc_jgUTJj:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc /mnt/redhat/brewroot/packages/mingw32-boost/1.41.0/3.el6/src/mingw32-boost-1.41.0-3.el6.src.rpm
doRpmCommand-result (256): 
FAILED to rebuild /mnt/redhat/brewroot/packages/mingw32-boost/1.41.0/3.el6/src/mingw32-boost-1.41.0-3.el6.src.rpm -- return code 256


REBUILD: FAIL for mingw32-boost-1.41.0-3.el6.src.rpmBUILDLOG: mingw32-boost-1.41.0-3.el6.src.rpm-noarch-rebuild.log contains full details.  Reports from make and rpmbuild, with line numbers:
448--- 
449--- 
450--- [1;30mBUILD_TOOLS is NONE: skipping tools.[0m 
451--- 
452--- Configuring incomplete, errors occurred!
453:error: Bad exit status from /var/tmp/rpm-tmp.cH9RXf (%build)
454-
455-
456-RPM build errors:
457-    Bad exit status from /var/tmp/rpm-tmp.cH9RXf (%build)

Last 20 lines of Build Log:
-- + program_options
-- + rational
-- + signals
-- + signals2
-- + statechart
-- + tr1
-- + units
-- + wave
-- 
-- [1;30mBUILD_TESTS is NONE: skipping test directories.[0m 
-- 
-- 
-- [1;30mBUILD_TOOLS is NONE: skipping tools.[0m 
-- 
-- Configuring incomplete, errors occurred!
error: Bad exit status from /var/tmp/rpm-tmp.cH9RXf (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.cH9RXf (%build)

===============

Comment 2 Dave Johnson 2011-09-22 18:57:42 UTC
Email from John W. Lockhart <lockhart@redhat.com>:


I'm not sure what your status on it is, but I tried
the following last night, and it rebuilt just fine:

.qa.[root@x86-64-6cn-v1 tps.2]#  rpm -e --nodeps doxygen graphviz libxslt 
mpich2-devel

.qa.[root@x86-64-6cn-v1 tps.2]#  rpmbuild --rebuild   --define "dist .el6" 
--define '_topdir /usr/src/redhat'  --rcfile 
/tmp/tps_rpmrc_jzWziJ:/usr/lib/rpm/rpmrc:/usr/lib/rpm/redhat/rpmrc 
/mnt/redhat/brewroot/packages/mingw32-boost/1.41.0/3.el6/src/mingw32-boost-1.41.0-3.el6.src.rpm 
2>&1 | tee Rebuild-boost.log

.qa.[root@x86-64-6cn-v1 tps.2]#  yum -y install doxygen graphviz libxslt 
mpich2-devel

Logs and such are in: /mnt/qa/scratch/x86-64-6cn-v1/2011:11790/tps.2/

This means that there's a bug in the mingw32-boost .spec file, or 
configuration routines in the build.  If those 4 packages are installed
(or perhaps a subset of them; I didn't test all the combos), the build
tries to use things that it can't handle.

The fix is to explicitly disable the unhandled features -- e.g.,
instead of stuff like "use doxygen?  [auto]" or whatever,
set the answer to '[no]'.

How serious it is, and whether to fix it -- that's another story.  :)
Tends to be useful to have fixed, but it depends on priority, how
many other fixes need work, etc.

   -- John

Comment 3 RHEL Product and Program Management 2011-10-07 15:56:43 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.